<!DOCTYPE html>
<html>
  <head>
    <title>Booleans</title>
  </head>
  <body>
    <script>
      true;
      false;
      console.log(3 > 5 - 5);

      console.log(5 == "5.00");
      console.log(5 === "5.00");

      if (true) {
        console.log("Hello");
      } else {
        console.log("else");
      }

      const age = 15;

      if (age >= 16) {
        console.log("You can drive");
      } else if (age >= 14) {
        console.log("Almost there");
      } else {
        console.log("You can't drive");
      }

      console.log(true && false);
      console.log(0.2 >= 0 && 0.2 < 1 / 3);

      console.log(true || false);
      console.log(!true);

      if (5) {
        console.log("truthy");
      }

      const carQuantity = 5;

      if (carQuantity) {
        console.log("Cart has products");
      }

      console.log(!0);

      console.log("text" / 5);

      const result = true ? "truthy" : "falsy";
      console.log(result);

      false && console.log("hello");

      const message = 5 && "hello";
      console.log(message);

      const currency = undefined || "USD";
      console.log(currency);
    </script>
  </body>
</html>
